package geom;

public class Triangolo extends Poligono {
	public Triangolo(double a, double b, double c) throws TriangoloErrato, LatoErrato {
		super(3);

		if (a < 0) throw new LatoErrato(a);
		if (b < 0) throw new LatoErrato(b);
		if (c < 0) throw new LatoErrato(c);
		if (a > b + c) throw new TriangoloErrato(a);
		if (b > a + c) throw new TriangoloErrato(b);
		if (c > a + b) throw new TriangoloErrato(c);

		lati[0] = a;
		lati[1] = b;
		lati[2] = c;
	}

	public double area() {
		double p2 = perimetro() / 2;

		return Math.sqrt(p2 * (p2 - lati[0]) * (p2 - lati[1]) * (p2 - lati[2]));
	}

	public String toString() {
		return "triangolo di lati " + lati[0] + ", " + lati[1] + " e " + lati[2];
	}
}
